//
//  xmlTutorialViewController.m
//  xmlTutorial
//
//  Created by Andrea Busi on 22/05/09.
//  Copyright BubiDevs 2009. All rights reserved.
//

#import "xmlTutorialViewController.h"

@implementation xmlTutorialViewController



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Metodo eseguito all'avvio della vista
- (void)viewDidLoad {
    [super viewDidLoad];
	// definiamo il percorso del file xml
	NSString *pathProgetto = [[NSBundle mainBundle] bundlePath];
	path = [[NSString alloc] initWithString:[pathProgetto stringByAppendingPathComponent:@"dati.xml"]];
}


-(IBAction)avviaParsing{
	//Bisogna convertire il file in una NSURL altrimenti non funziona  
	NSURL *xmlURL = [NSURL fileURLWithPath:path];  
	// Creiamo il parser  
	NSXMLParser *parser = [[ NSXMLParser alloc] initWithContentsOfURL:xmlURL];  
	// Il delegato del parser e' la classe stessa (self)  
	[parser setDelegate:self];  
	//Effettuiamo il parser 
	BOOL success = [parser parse];
	//controlliamo come è andata l'operazione
	if(success == YES){
		//parsing corretto
	} else {
		//c'è stato qualche errore...
	}
	// Rilasciamo l'oggetto NSXMLParser  
	[parser release];
}

- (void)parser:(NSXMLParser *)parser didStartElement:(NSString *)elementName 
  namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qualifiedName 
	attributes:(NSDictionary *)attributeDict {
	
	if ([elementName isEqualToString:@"studenti"]){
		[textArea setText:[[NSString alloc] initWithFormat:@"%@\nInizio studenti",textArea.text]];
		NSLog(@"ok");
	}
	else if([elementName isEqualToString:@"studente"]){
		[textArea setText:[[NSString alloc] initWithFormat:@"%@\nNuovo studente",textArea.text]];
	}
	else if([elementName isEqualToString:@"matricola"]) {
		[textArea setText:[[NSString alloc] initWithFormat:@"%@\nMatricola: ",textArea.text]];
	}
	else if([elementName isEqualToString:@"cognome"]) {
		[textArea setText:[[NSString alloc] initWithFormat:@"%@\nCognome: ",textArea.text]];
	}	
	else if([elementName isEqualToString:@"nome"]) {
		[textArea setText:[[NSString alloc] initWithFormat:@"%@\nNome: ",textArea.text]];
	}
}

- (void)parser:(NSXMLParser *)parser foundCharacters:(NSString *)string {
	[textArea setText:[[NSString alloc] initWithFormat:@"%@%@",textArea.text,string]];
}


- (void)parser:(NSXMLParser *)parser didEndElement:(NSString *)elementName 
	namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qName {
	[textArea setText:[[NSString alloc] initWithFormat:@"%@\nFine elemento: %@",textArea.text,elementName]];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}

@end
